public class Car {
    private String brand;
    private String model;
    private int year;
    private double price;
    private static final int df_year = 2000;
    private static final double df_price = 0.0;
    private static int carCount = 0;

    public Car(String brand, String model, int year, double price) {
        Car.carCount++;
        this.brand = brand;
        this.model = model;
        this.year = year;
        if(price < 0)
            this.price = df_price;
        else
            this.price = price;


    }
    public Car(String brand, String model, double price) {
        this(brand,model,df_year, price);
    }
    public Car(String brand,String model, int year) {
        this(brand,model,year,df_price);
    }
    public Car(String brand, String model) {
        this(brand, model, df_year, df_price);
    }



    public String getBrand() {
        return brand;
    }
    public String getModel() {
        return model;
    }
    protected void setModel(String model) {
        this.model = model;
    }
    public int getYear() {
        return year;
    }
    public double getPrice() {
        return price;
    }
    public void printDetails() {
        System.out.println("The car details : \n Brand: " + brand + ", Model: " + model + ", Year: " + year + ", Price: " + price + "\n carcount=" + Car.carCount);
    }
    public void setPrice(double price) {
        if(price < 0) {
            throw new IllegalArgumentException("Price cannot be negative.");

        }
        else{
            this.price = price;
        }

    }

    public static double getDf_price() {
        return df_price;
    }
    @Override
    public String toString(){
        return "Car: {" + "Brand: " + brand + ", Model: " + model + ", Year: " + year + ", Price: " + price + '}';

    }

    public static int getCarCount() {
        return carCount;
    }
}
